Bug 2269436 (CVE-2024-26630) - CVE-2024-26630 kernel: mm: cachestat: fix folio read-after-free in cache walk
Summary: CVE-2024-26630 kernel: mm: cachestat: fix folio read-after-free in cache walk
Keywords:
Status: NEW
Alias: CVE-2024-26630
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2269437
Blocks: 2269442
TreeView+ depends on / blocked
 
Reported: 2024-03-13 21:24 UTC by Marco Benatto
Modified: 2024-06-16 13:33 UTC (History)
51 users (show)

Fixed In Version: kernel 6.6.21, kernel 6.7.9, kernel 6.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Marco Benatto 2024-03-13 21:24:40 UTC
In the Linux kernel, the following vulnerability has been resolved:

mm: cachestat: fix folio read-after-free in cache walk

The Linux kernel CVE team has assigned CVE-2024-26630 to this issue.

Upstream advisory:
https://lore.kernel.org/linux-cve-announce/20240313155037.1968072-2-lee@kernel.org/T

Comment 1 Marco Benatto 2024-03-13 21:25:17 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2269437]

Comment 5 Justin M. Forbes 2024-03-26 16:33:21 UTC
This was fixed for Fedora with the 6.7.9 stable kernel updates.

Comment 7 Alex 2024-06-09 15:20:36 UTC
The result of automatic check (that is developed by Alexander Larkin) for this CVE-2024-26630 is: CHECK	Maybe valid. Check manually. with impact MODERATE (that is approximation based on flags READ IMPROVEONLY  ; these flags parsed automatically based on patche data). Such automatic check happens only for Low/Moderates (and only when not from reporter, but parsing already existing CVE). Highs always checked manually (I check it myself and then we check it again in Remediation team). In rare cases some of the Moderates could be increased to High later.


Note You need to log in before you can comment on or make changes to this bug.